apiVersion: v1
kind: Service
metadata:
  name: {{ include "wso2-micro-integrator.fullname" . }}
  labels:
    {{- include "wso2-micro-integrator.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - name: http
      port: 8290
      protocol: TCP
      targetPort: 8290
    - name: metrics
      port: 9201
      protocol: TCP
      targetPort: 9201
    - name: management
      port: 9164
      protocol: TCP
      targetPort: 9164
  selector:
    {{- include "wso2-micro-integrator.selectorLabels" . | nindent 4 }}
